#! /home/llh/anaconda3/bin/python

# may need to change that shebang for jetson

import rospy, sys, math, cv2, numpy as np, std_msgs.msg
from sensor_msgs.msg import Image
from cv_bridge import CvBridge, CvBridgeError

class ImageViewer():
    def __init__(self):
        self.bridge = CvBridge()
        self.subscriber = rospy.Subscriber("usb_camera/image_raw", Image, self.imageCallback)
        self.params = None
        self.image = None

    def imageCallback(self, frame):
        # self.params = self.getParams()
        try:
            self.image = self.bridge.imgmsg_to_cv2(frame, "bgr8")
        except CvBridgeError as err:
            rospy.loginfo("there was error!")
            rospy.loginfo(err)

def main():
    iv = ImageViewer()
    rospy.init_node("imageViewer")
    cv2.namedWindow("image window")
    cv2.waitKey(200)

    while not rospy.is_shutdown():
        if iv.image is not None:
            cv2.imshow("image window", iv.image)
            cv2.waitKey(10)

    cv2.destroyAllWindows()

if __name__ == "__main__":
    main()
